ReflectionClass::isInternal
ReflectionClass::isSubclassOf
ReflectionClass
PHP Manual

# ReflectionClass::isIterateable

(PHP 5)

ReflectionClass::isIterateable — Checks if iterateable

### Description

public bool ReflectionClass::isIterateable ( void )

Checks whether the class is iterateable.

### Parameters

This function has no parameters.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 ReflectionClass::isIterateable example

`<?php
class IteratorClass implements Iterator {
public function __construct() { }
public function key() { }
public function current() { }
function next() { }
function valid() { }
function rewind() { }
}
class DerivedClass extends IteratorClass { }
class NonIterator { }
function dump_iterateable($class) {
$reflection = new ReflectionClass($class);
var_dump($reflection->isIterateable());
}
$classes = array("ArrayObject", "IteratorClass", "DerivedClass", "NonIterator");
foreach ($classes as $class) {
echo "Is $class iterateable? ";
dump_iterateable($class);
}
?>`

The above example will output:

    Is ArrayObject iterateable? bool(true)
    Is IteratorClass iterateable? bool(true)
    Is DerivedClass iterateable? bool(true)
    Is NonIterator iterateable? bool(false)

### See Also

- ReflectionClass::__construct - Constructs a ReflectionClass

ReflectionClass::isInternal
ReflectionClass::isSubclassOf
ReflectionClass
PHP Manual